JavaBeanFaultWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaBeanFaultWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaBeanFaultWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaBeanWriter
                  org.apache.axis.wsdl.toJava.JavaBeanFaultWriter

All Implemented Interfaces:
  Generator

public class JavaBeanFaultWriter
extends JavaBeanWriter

This is Wsdl2java's Complex Fault Writer. It generates bean-like class for complexTypes used in an operation fault message.

Field Summary
`static java.util.Set` | `RESERVED_PROPERTY_NAMES` All server specific exception classes have `Throwable` as an indirect superclass.

Fields inherited from class org.apache.axis.wsdl.toJava.JavaBeanWriter
`enableDefaultConstructor, enableEquals, enableFullConstructor, enableGetters, enableHashCode, enableMemberFields, enableSetters, enableSimpleConstructors, enableToString, enumerationTypes, helper, isAny, isMixed, names, parentIsAny, parentIsMixed, pw, simpleValueTypes`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH`

Constructor Summary
`protected` | `JavaBeanFaultWriter(Emitter emitter, TypeEntry type, java.util.Vector elements, TypeEntry extendType, java.util.Vector attributes, JavaWriter helper)` Constructor.

Method Summary
`protected java.lang.String` | `getExtendsText()` Returns the appropriate extends text
`protected void` | `writeFileFooter(java.io.PrintWriter pw)` Write the Exception serialization code NOTE: This function is written in JavaFaultWriter.java also.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaBeanWriter
`generate, getBinaryTypeEncoderName, getClassModifiers, getElementDecl, getImplementsText, preprocess, writeAccessMethods, writeDefaultConstructor, writeEqualsMethod, writeFileBody, writeFileHeader, writeFullConstructor, writeHashCodeMethod, writeMemberFields, writeMinimalConstructor, writeSimpleConstructors, writeSimpleTypeGetter, writeSimpleTypeSetter, writeToStringMethod`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassName, getClassText, getFileName, getPackage, registerFile, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESERVED_PROPERTY_NAMES

    public static final java.util.Set RESERVED_PROPERTY_NAMES

  All server specific exception classes have `Throwable` as an indirect superclass. `Throwable` defines a set of properties that may potentially conflict with those that would be generated by this class for an XSD complex type used as a fault. The following immutable object contains all property names that must be excluded when generating a service specific exception. Note: `BeanSerializer` always excludes `Throwable`'s and `AxisFault`'s properties when marshalling a service Java exception.

Constructor Detail

### JavaBeanFaultWriter

    protected JavaBeanFaultWriter(Emitter emitter,
                                  TypeEntry type,
                                  java.util.Vector elements,
                                  TypeEntry extendType,
                                  java.util.Vector attributes,
                                  JavaWriter helper)

  Constructor.

Parameters:
  `emitter` -
  `type` - The type representing this class
  `elements` - Vector containing the Type and name of each property
  `extendType` - The type representing the extended class (or null)
  `attributes` - Vector containing the attribute types and names
  `helper` - Helper class writer

Method Detail

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns the appropriate extends text

  Overrides:
    `getExtendsText` in class `JavaBeanWriter`
  Returns:
    "" or " extends "

### writeFileFooter

    protected void writeFileFooter(java.io.PrintWriter pw)
                            throws java.io.IOException

  Write the Exception serialization code

  NOTE: This function is written in JavaFaultWriter.java also.

  Overrides:
    `writeFileFooter` in class `JavaClassWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.